import {
  MakeAddType,
  MakeDeleteType,
  MakeEditType,
  MakeListType,
} from '~/api/interface/makeManage';
import axios from '../request';

export class MakeManageAPI {
  // 品牌-新增
  static addBrandInfo: MakeAddType = (params) => {
    return axios.get('uavgoods/brand/addBrandInfo', { params });
  };

  // 品牌-编辑
  static editBrandInfo: MakeEditType = (params) => {
    return axios.get('uavgoods/brand/editBrandInfo', { params });
  };

  // 品牌-列表
  static getListBrandInfo: MakeListType = (params) => {
    return axios.get('uavgoods/brand/listBrandInfo', { params });
  };

  //  品牌刪除
  static deleteBrandInfo: MakeDeleteType = (params) => {
    return axios.get('uavgoods/brand/deleteBrandInfo', { params });
  };
}
